> For the complete documentation index, see [llms.txt](https://docs.hive.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hive.one/core-resources/influencer-rank-score-history-twitter-id.md).

# Influencer Rank/Score History (Twitter ID)

## Retrieve Influencer Rank/Score History

<mark style="color:blue;">`GET`</mark> `https://api.hive.one/v1/influencers/id/:twitter_id/history/`

This endpoint allows you to get the Rank/Score history for an influencer using their twitter\_id

#### Path Parameters

| Name        | Type   | Description                  |
| ----------- | ------ | ---------------------------- |
| twitter\_id | number | Twitter ID of the influencer |

#### Query Parameters

| Name       | Type   | Description                                   |
| ---------- | ------ | --------------------------------------------- |
| rank\_type | string | <p>Options: all, personal<br>Default: all</p> |

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication token |

{% tabs %}
{% tab title="200 The data returned will provide the history from four cluster: All Crypto, Bitcoin, Ethereum, and Ripple" %}

```
{
    "data": {
        "twitterId": "1469101279",
        "screenName": "aantonop",
        "history": {
            "edges": [
                {
                    "name": "Bitcoin",
                    "abbr": "BTC",
                    "imageUrl": "/static/assets/icons/BTC_100.png",
                    "history": {
                        "edges": [
                            {
                                "score": 624.497478593975,
                                "rankedAt": 1574645887,
                                "rank": null,
                                "changeReason": {
                                    "changeAmount": 2.2037475495020544,
                                    "followers": [
                                        {
                                            "score": 48.8006315967147,
                                            "twitterId": "1954873273",
                                            "name": "TOXIC Bitcoin Maximalist 🐂🗝️⚡",
                                            "screenName": "JimJones1913",
                                            "imageUrl": "https://pbs.twimg.com/profile_images/1123233933968203777/qs-x8-Jm.png",
                                            "rank": 1031,
                                            "activity": {
                                                "follow": true,
                                                "activityAt": 1574649175
                                            }
                                        }
                                    ]
                                }
                            },
                        ]
                    },
                    "score": 605.044795227843
                },
                {
                    "name": "Ripple",
                    "abbr": "XRP",
                    "imageUrl": "/static/assets/icons/XRP_100.png",
                    "history": {
                        "edges": [
                            {
                                "score": 269.005824008715,
                                "rankedAt": 1575857179,
                                "rank": null,
                                "changeReason": {
                                    "changeAmount": 0.30641816154195567,
                                    "followers": []
                                }
                            },
                        ]
                    },
                    "score": 269.005824008715
                },
                {
                    "name": "Ethereum",
                    "abbr": "ETH",
                    "imageUrl": "/static/assets/icons/ETH_100.png",
                    "history": {
                        "edges": [
                            {
                                "score": 624.145184319626,
                                "rankedAt": 1575855725,
                                "rank": 8,
                                "changeReason": {
                                    "changeAmount": 1.2413809950299992,
                                    "followers": []
                                }
                            },
                        ]
                    },
                    "score": 624.145184319626
                },
                {
                    "name": "Crypto",
                    "abbr": "Crypto",
                    "imageUrl": "/static/assets/icons/Crypto_100.png",
                    "history": {
                        "edges": [
                            {
                                "score": 619.106314757857,
                                "rankedAt": 1575858004,
                                "rank": 1,
                                "changeReason": {
                                    "changeAmount": 3.123262113778992,
                                    "followers": []
                                }
                            },
                        ]
                    },
                    "score": 619.106314757857
                }
            ]
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hive.one/core-resources/influencer-rank-score-history-twitter-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
